WMBUTTON(1)

NAME
wmbutton - dockable launcher application

SYNOPSIS
wmbutton [OPTIONS]

DESCRIPTION
This manual page documents briefly the wmbutton command.

wmbutton is a 64x64 pixel application that displays nine buttons and can be used as dockapp for X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. Each of these buttons can be configured via a configuration file to run just about any application you would like to. Basically, if you can type it in a shell command, wmbutton can run it.

wmbutton is configured using a configuration file, ~/.wmbutton (or /etc/wmbutton.conf). Its format is documented in the "Configuration" section below.

OPTIONS

-g <geometry>
    Window Geometry - ie: 64x64+10+10

-d <display>
    Display - ie: 127.0.0.1:0.0

-f <filename>
    Full path to configuration file.

-b <filename>
    Full path to button xpm.

-F <font>
    Custom tooltip font (e.g. -bh-lucidatypewriter-medium-*-*-*-12-*)

-v  Verbose Mode, gives extra debug output.

-h  Quick overview of available options.

-m  Disable Middle Mouse functionality.

-s  Swap tooltip colors.

-n  Turn off tooltips.

CONFIGURATION

The configuration file is case sensitive. A # starts a comment, and lines consisting entirely of whitespace are ignored. The syntax is simply:

<buttonnumber> <command>

command can be anything you can type in as a shell command.

Buttons are numbered as follows:

Left button
     	1 2 3
    	4 5 6
    	7 8 9

Middle button
    	11 12 13
    	14 15 16
    	17 18 19

Right button
    	21 22 23
    	24 25 26
    	27 28 29

To use other icons, wmbutton has to be rebuilt. View /usr/share/doc/wmbutton/README.Debian for further information.

FILES

/etc/wmbutton.conf
    system wide wmbutton configuration file.

~/.wmbutton
    per user wmbutton configuration file. If it doesn't exist, the system wide wmbutton configuration file will be used.

AUTHOR
wmbutton was written by Edward H. Flora <ehflora@access1.net>, and is licensed under the terms of the GNU General Public License.

This manual page was originaly written by Gordon Fraser <gordon@debian.org>, for the Debian GNU/Linux system (but may be used by others). It was updated by Christian Aichinger <Greek0@gmx.net> and Rodolfo García Peñas (kix) <kix@kix.es>.